%global realname clique
%global upstream basho
# Technically, we're noarch; but erlang whose directories we install into is not.
%global debug_package %{nil}


Name:		erlang-%{realname}
Version:	0.3.9
Release:	3%{?dist}
Summary:	CLI Framework for Erlang
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/%{upstream}/%{realname}
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
%endif
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
Patch1:		erlang-clique-0001-Tear-down-tests-properly.patch
BuildRequires:	erlang-cuttlefish
BuildRequires:	erlang-mochiweb
BuildRequires:	erlang-rebar


%description
Clique is an opinionated framework for building command line interfaces in
Erlang. It provides users with an interface that gives them enough power to
build complex CLIs, but enough constraint to make them appear consistent.


%prep
%setup -q -n %{realname}-%{version}
%patch1 -p1


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%license LICENSE
%doc README.md
%{erlang_appdir}/


%changelog
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue May 23 2017 Peter Lemenkov <lemenkov@gmail.com> - 0.3.9-1
- Ver. 0.3.9

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Nov 15 2016 Peter Lemenkov <lemenkov@gmail.com> - 0.3.8-1
- Ver. 0.3.8

* Wed May  4 2016 Peter Lemenkov <lemenkov@gmail.com> - 0.3.5-2
- Missing BuildRequires added - mochiweb

* Wed Mar 16 2016 Peter Lemenkov <lemenkov@gmail.com> - 0.3.5-1
- Ver. 0.3.5
